CURLOPT_HTTP_VERSION (3) - Linux Man Pages

CURLOPT_HTTP_VERSION: specify HTTP protocol version to use

NAME

CURLOPT_HTTP_VERSION - specify HTTP protocol version to use

SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HTTP_VERSION, long version);

DESCRIPTION

Pass version a long, set to one of the values described below. They force libcurl to use the specific HTTP versions. This is not sensible to do unless you have a good reason. You have to set this option if you want to use libcurl's HTTP/2 support.

CURL_HTTP_VERSION_NONE
We don't care about what version the library uses. libcurl will use whatever it thinks fit.
CURL_HTTP_VERSION_1_0
Enforce HTTP 1.0 requests.
CURL_HTTP_VERSION_1_1
Enforce HTTP 1.1 requests.
CURL_HTTP_VERSION_2_0
Attempt HTTP 2.0 requests. libcurl will fall back to HTTP 1.x if HTTP 2.0 can't be negotiated with the server.

DEFAULT

CURL_HTTP_VERSION_NONE

PROTOCOLS

HTTP

EXAMPLE

TODO

AVAILABILITY

Along with HTTP

RETURN VALUE

Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.